Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.control.existingtargetstrategy
Class MergeTargetFileStrategy

    java.lang.Object
      org.apache.torque.generator.control.existingtargetstrategy.MergeTargetFileStrategy

All Implemented Interfaces:
  ExistingTargetStrategy

    public class MergeTargetFileStrategy

extends Object
implements ExistingTargetStrategy

A handler which implements the strategy to replace existing target files.

Version:
  $Id: MergeTargetFileStrategy.java 1406804 2012-11-07 21:04:28Z tfischer $

Field Summary
`static String` | `STRATEGY_NAME` The strategy name "replace".
`static String` | `WORK_SUBDIR` The subdirectory in the work directory<.

Constructor Summary
`MergeTargetFileStrategy()`

Method Summary
`void` | `afterGeneration(String outputDirKey, String outputPath, String encoding, OutletResult generationResult, UnitConfiguration unitConfiguration)` Processes the results of the generation.
`boolean` | `beforeGeneration(String outputDirKey, String outputPath, String encoding, UnitConfiguration unitConfiguration)` Will be called before the generation is started and decides whether the generation process for this file should proceed.
`String` | `getStrategyName()` Returns the name of the existing target strategy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRATEGY_NAME

    public static final String STRATEGY_NAME

  The strategy name "replace".

  See Also:
    Constant Field Values

### WORK_SUBDIR

    public static final String WORK_SUBDIR

  The subdirectory in the work directory<.

  See Also:
    Constant Field Values

Constructor Detail

### MergeTargetFileStrategy

    public MergeTargetFileStrategy()

Method Detail

### beforeGeneration

    public boolean beforeGeneration(String outputDirKey,
                                    String outputPath,
                                    String encoding,
                                    UnitConfiguration unitConfiguration)

  Will be called before the generation is started and decides whether the generation process for this file should proceed.

  Specified by:
    `beforeGeneration` in interface `ExistingTargetStrategy`
  Parameters:
    `outputDirKey` - the key for the output directory into which the generated file should be written, null for the default output directory.
    `outputPath` - the path to which the output should be written, relative to the output base directory.
    `encoding` - The character encoding of the generated file, or null for the platform default encoding.
    `unitConfiguration` - the configuration of the current configuration unit, not null.
  Returns:
    true always.

### afterGeneration

    public void afterGeneration(String outputDirKey,
                                String outputPath,
                                String encoding,
                                OutletResult generationResult,
                                UnitConfiguration unitConfiguration)
                         throws GeneratorException

  Processes the results of the generation.

  Specified by:
    `afterGeneration` in interface `ExistingTargetStrategy`
  Parameters:
    `outputDirKey` - the key for the output directory into which the generated file should be written, null for the default output directory.
    `outputPath` - the location to which the output should be written.
    `encoding` - The character encoding of the generated file, or null for the platform default encoding.
    `generationResult` - the result of the generation, not null.
    `unitConfiguration` - the configuration of the current configuration unit, not null.
  Throws:
    `GeneratorException` - on an error.

### getStrategyName

    public String getStrategyName()

  Returns the name of the existing target strategy.

  Specified by:
    `getStrategyName` in interface `ExistingTargetStrategy`
  Returns:
    "merge"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.